unit ImpMain;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Exe32Image, ExtCtrls;

type
  TImpForm = class(TForm)
    Button1: TButton;
    ImportList: TListBox;
    Label1: TLabel;
    Header1: THeader;
    procedure ImportListDrawItem(Control: TWinControl; Index: Integer;
      Rect: TRect; State: TOwnerDrawState);
    procedure Header1Sizing(Sender: TObject; ASection, AWidth: Integer);
  private
    { Private declarations }
    procedure SetFileName (Value: String);
  public
    { Public declarations }
    property FileName: String write SetFileName;
  end;

implementation

{$R *.DFM}

procedure TImpForm.SetFileName (Value: String);
var
    Image: TExeImage;
begin
    if FileExists (Value) then begin
        Caption := 'Project Imports: ' + Value;
        Image := TExeImage.OpenImage (Self, Value);
        ImportList.Items.Assign (Image.ImportNames);
        Image.Free;
    end;
end;

procedure TImpForm.ImportListDrawItem (Control: TWinControl; Index: Integer; Rect: TRect; State: TOwnerDrawState);
var
    Str: String;
    Idx, x: Integer;
begin
    with ImportList, ImportList.Canvas, Header1 do
    begin
        Str := Items [Index];
        FillRect (Rect);
        x := Rect.Left + 3;
        Idx := Pos ('|', Str);
        TextOut (x, Rect.top, Copy (Str, 1, Idx - 2));
        Inc (x, SectionWidth [0]);
        TextOut (x, Rect.top, Copy (Str, Idx + 1, 255));
    end;
end;

procedure TImpForm.Header1Sizing(Sender: TObject; ASection, AWidth: Integer);
begin
    ImportList.Invalidate;
end;

end.




